Skip to main content
POST
Create a merge proposal

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

agent_id
string
required

The id of an agent. This is returned on agent creation.

Example:

"agent_3701k3ttaq12ewp8b7qv5rfyszkz"

Body

application/json
source_branch_id
string
required

Branch whose changes should be merged.

target_branch_id
string
required

Branch that should receive the changes.

title
string
required

Short title for the merge_proposal.

Required string length: 1 - 140
description
string
default:""

Optional longer description for reviewers.

Maximum string length: 4096
requested_reviewer_user_ids
string[] | null

User IDs to request a review from.

Maximum array length: 100
triage_ticket_id
string | null

Triage ticket of this agent that the merge_proposal resolves. Merging it resolves the ticket if still open.

Response

Successful Response

created_merge_proposal_id
string
required

ID of the created merge_proposal